Search for tokens, pools, and DEXes
curl --request GET \
--url https://api.dexpaprika.com/searchimport requests
url = "https://api.dexpaprika.com/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"id": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
"name": "OFFICIAL TRUMP",
"symbol": "TRUMP",
"chain": "solana",
"decimals": 6,
"total_supply": 1000000000000000,
"fdv": 1000000000000000000,
"description": "",
"website": "",
"explorer": ""
}
],
"pools": [
{
"id": "A8nPhpCJqtqHdqUk35Uj9Hy2YsGXFkCZGuNwvkD3k7VC",
"dex_id": "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
"dex_name": "Meteora",
"chain": "solana",
"created_at_block_number": 314590039,
"created_at": "2025-01-17T14:19:03.000Z",
"volume_usd": 104433720.13085766,
"transactions": 17585,
"price_usd": 26.60780176027208,
"last_price_change_usd_5m": 0,
"last_price_change_usd_1h": -1.3047021633422,
"last_price_change_usd_24h": -8.886488130608807,
"tokens": [
{
"id": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
"name": "OFFICIAL TRUMP",
"symbol": "TRUMP",
"chain": "solana",
"decimals": 6,
"total_supply": 1000000000000000,
"description": "",
"website": "",
"explorer": "",
"added_at": "2025-01-17T23:26:21.000Z"
},
{
"id": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"name": "USD Coin",
"symbol": "USDC",
"chain": "solana",
"decimals": 6,
"total_supply": 0,
"description": "",
"website": "",
"explorer": "",
"added_at": "2024-10-04T08:30:05.000Z"
}
]
}
],
"dexes": []
}Search
Search for tokens, pools, and DEXes
Search for tokens, liquidity pools, and DEXes by name, symbol, or contract address
GET
/
search
Search for tokens, pools, and DEXes
See also: Tokens,
Pools,
DEXes on a network
FAQs
What can I search for?
What can I search for?
Tokens, pools, and DEXes by name, symbol, or address/identifier depending on the network.
Is the search case‑sensitive?
Is the search case‑sensitive?
No; queries are normalized internally.
How do I use results to make requests?
How do I use results to make requests?
Copy the
network and id/address from the result and pass them to the corresponding endpoints.Query Parameters
The search term to match against tokens, pools, or DEX identifiers.
For example: "uniswap", "usd coin", or "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN" (for Solana).
Was this page helpful?
⌘I